
# Interface: ICanvasDefinitionSetBackground

Provides properties to set a design background.

For details, you can refer to the [SetBackground command](https://customerscanvas.com/dev/sdks/ui-framework/widgets/design-editor-commands/set-background.html).
```
{
  "type": "canvas",
  "name": "editor",
  "params": {
    "initial": { ... },
    "setBackground": {
      "url": "public:bg_123.pdf"
    }
  }
}
```

## Hierarchy

* [ICanvasCommandDefinition](icanvascommanddefinition.md)

  ↳ **ICanvasDefinitionSetBackground**

## Index

### Properties

* [after](icanvasdefinitionsetbackground.md#optional-after)
* [autoResize](icanvasdefinitionsetbackground.md#optional-autoresize)
* [surfaceIndex](icanvasdefinitionsetbackground.md#optional-surfaceindex)
* [toTile](icanvasdefinitionsetbackground.md#optional-totile)
* [url](icanvasdefinitionsetbackground.md#url)

## Properties

### `Optional` after

• **after**? : *string | string[]*

*Inherited from [ICanvasCommandDefinition](icanvascommanddefinition.md).[after](icanvascommanddefinition.md#optional-after)*

The next commands to be executed after this command completes.

___

### `Optional` autoResize

• **autoResize**? : *boolean*

If `true`, resizes the background image to fill the entire product.

___

### `Optional` surfaceIndex

• **surfaceIndex**? : *number*

The index of a surface that should be modified (the current surface if omitted).

___

### `Optional` toTile

• **toTile**? : *boolean*

If `true`, the background image tiles the entire product.

___

###  url

• **url**: *string*

A URL to the image or a path in Customer's Canvas public gallery.
